Package it.ernytech.tdlib

## Class TdApi.UpdateNewShippingQuery

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateNewShippingQuery

Enclosing class:
  TdApi

    public static class TdApi.UpdateNewShippingQuery
    extends TdApi.Update

A new incoming shipping query; for bots only. Only for invoices with flexible price.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`long` `id` Unique query identifier.
`java.lang.String` `invoicePayload` Invoice payload.
`int` `senderUserId` Identifier of the user who sent the query.
`TdApi.ShippingAddress` `shippingAddress` User shipping address.

### Constructor Summary

Constructors
`UpdateNewShippingQuery()` Default constructor.
`UpdateNewShippingQuery​(long id, int senderUserId, java.lang.String invoicePayload, TdApi.ShippingAddress shippingAddress)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public long id

Unique query identifier.

#### senderUserId

    public int senderUserId

Identifier of the user who sent the query.

#### invoicePayload

    public java.lang.String invoicePayload

Invoice payload.

#### shippingAddress

    public TdApi.ShippingAddress shippingAddress

User shipping address.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateNewShippingQuery

    public UpdateNewShippingQuery()

Default constructor.

#### UpdateNewShippingQuery

    public UpdateNewShippingQuery​(long id,
                                  int senderUserId,
                                  java.lang.String invoicePayload,
                                  TdApi.ShippingAddress shippingAddress)

Constructor for initialization of all fields.

Parameters:
  `id` - Unique query identifier.
  `senderUserId` - Identifier of the user who sent the query.
  `invoicePayload` - Invoice payload.
  `shippingAddress` - User shipping address.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR